## GstStream GstStream |

## Functions

GstStream * | gst_stream_new ()
GstCaps * | gst_stream_get_caps ()
GstStreamFlags | gst_stream_get_stream_flags ()
const gchar * | gst_stream_get_stream_id ()
GstStreamType | gst_stream_get_stream_type ()
GstTagList * | gst_stream_get_tags ()
void | gst_stream_set_caps ()
void | gst_stream_set_stream_flags ()
void | gst_stream_set_stream_type ()
void | gst_stream_set_tags ()
const gchar * | gst_stream_type_get_name ()

## Types and Values

struct | GstStream
struct | GstStreamClass
enum | GstStreamType

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_stream_new ()

    GstStream *
    gst_stream_new (const gchar *stream_id,
                    GstCaps *caps,
                    GstStreamType type,
                    GstStreamFlags flags);

### gst_stream_get_caps ()

    GstCaps *
    gst_stream_get_caps (GstStream *stream);

### gst_stream_get_stream_flags ()

    GstStreamFlags
    gst_stream_get_stream_flags (GstStream *stream);

### gst_stream_get_stream_id ()

    const gchar *
    gst_stream_get_stream_id (GstStream *stream);

### gst_stream_get_stream_type ()

    GstStreamType
    gst_stream_get_stream_type (GstStream *stream);

### gst_stream_get_tags ()

    GstTagList *
    gst_stream_get_tags (GstStream *stream);

### gst_stream_set_caps ()

    void
    gst_stream_set_caps (GstStream *stream,
                         GstCaps *caps);

### gst_stream_set_stream_flags ()

    void
    gst_stream_set_stream_flags (GstStream *stream,
                                 GstStreamFlags flags);

### gst_stream_set_stream_type ()

    void
    gst_stream_set_stream_type (GstStream *stream,
                                GstStreamType stream_type);

### gst_stream_set_tags ()

    void
    gst_stream_set_tags (GstStream *stream,
                         GstTagList *tags);

### gst_stream_type_get_name ()

    const gchar *
    gst_stream_type_get_name (GstStreamType stype);

## Types and Values

### struct GstStream

    struct GstStream {
      GstObject object;

      const gchar *stream_id;
    };

### struct GstStreamClass

    struct GstStreamClass {
      GstObjectClass parent_class;
    };

### enum GstStreamType

#### Members

GST_STREAM_TYPE_UNKNOWN |  |
GST_STREAM_TYPE_AUDIO |  |
GST_STREAM_TYPE_VIDEO |  |
GST_STREAM_TYPE_CONTAINER |  |
GST_STREAM_TYPE_TEXT |  |